.consent-banner-button {
	min-width: 160px;
  text-decoration: none;
  border: 1px solid #007bff;
  white-space: nowrap;
  color: #007bff;
  background: transparent none;
  padding: 8px 10px;
  border-radius: 50px;
  outline:none;
}
#consent-banner-main *, #consent-banner-main *::before, #consent-banner-main *::after{
	box-sizing: border-box;
}
#consent-banner-main *{
  line-height:30px;
}

#consent-banner-main {
  position: relative;
  z-index: 2147483647;
}


#consent-banner-modal,
#consent-banner-settings {
  border: none;
  padding: 0;
  background: #fff;
  border-radius: 20px;
  box-shadow: rgba(0, 0, 0, 0.4) 0 0 20px;
}

#consent-banner-main dialog::backdrop {
  background: rgba(0, 0, 0, .7);
}

#consent-banner-main[data-wall="false"] dialog::backdrop {
  display: none;
}

#consent-banner-modal {
  padding: 25px 10px 30px !important;
}

#consent-banner-modal .consent-banner-modal-wrapper {
  display: block;
  margin: 0 auto;
  text-align: center;
  padding: 0 10px;
}

#consent-banner-settings .consent-banner-heading {
  padding-bottom: 15px;
  border-bottom: 1px solid #ededed;
  display: block;
}

#consent-banner-modal .consent-banner-modal-wrapper .consent-banner-description {
  margin: 20px 0 !important;
  line-height: 1.66666;
  text-align: center;
}

#consent-banner-main #consent-banner-settings .consent-banner-description {
  margin: 8px 0 !important;
  line-height: 1.66666;
}
#consent-banner-modal .consent-banner-modal-buttons {
  margin-top: 12px;
  text-align: center;
  justify-content: center;
  display: flex;
  align-items: flex-end;
}

#consent-banner-modal .consent-banner-modal-buttons [href="#settings"] {
  margin-left: 10px;
}

#consent-banner-settings .consent-banner-settings-buttons {
  margin-top: 15px;
  text-align: center;
  display: flex;
  justify-content: center;
  grid-gap: 10px;
}
#consent-banner-settings .consent-banner-settings-buttons .consent-banner-button{
  padding: 2px 10px;
  font-size: 14px;
}
#consent-banner-modal .consent-banner-modal-buttons .consent-banner-button {
  margin-left: 10px;
  padding: 2px 10px;
  font-size: 14px;
}

#consent-banner-settings .consent-banner-settings-buttons [href="#close"] {
  margin-left: 10px;
}

#consent-banner-settings {
	margin: 0 auto;
  padding: 50px 3%;
  overflow-x: hidden;
  min-width: 500px;
  max-width: 885px;
  max-height: none;
  position: fixed;
}
#consent-banner-settings .p_close{
	top: 30px;
  right: 30px;
  outline:none;
  position:absolute;
}
#consent-banner-settings .p_close svg{
	font-size: 16px;
  width: 20px;
  height: 20px;
  margin-right: 3px;
  font-style: normal;
  vertical-align: middle;
  margin-top: -3px;
}
#consent-banner-settings ul {
  list-style: none;
  margin:18px 0 !important;
  padding-left: 0;
}

#consent-banner-settings ul li label {
  font-weight: bold;
  font-size: 1.1em;
  margin:0px;
  margin-left: 5px;
  margin-right: 30px;
}

#consent-banner-settings ul li {
  margin-bottom: 15px;
  position: relative;
}
#consent-banner-settings ul li .p_name{
	top: 4px;
	font-size: 14px;
	font-weight: bold;
  line-height: 16px;
  position: absolute;
}
#consent-banner-settings ul li .p_plus,#consent-banner-settings ul li .p_reduce{
	top:-4px;
	right:1%;
  position:absolute;
}
#consent-banner-settings ul li .p_plus::after,#consent-banner-settings ul li .p_reduce::after{
-webkit-box-sizing: border-box;
-moz-box-sizing: border-box;
box-sizing: border-box;
}
#consent-banner-settings ul li .p_plus::after{
  content: " + ";
  font-size: 28px;
}
#consent-banner-settings ul li .p_reduce::after{
  content: " - ";
  font-size: 28px;
}
#consent-banner-settings ul li .p_plus.p_reduce{
	right:1.5%;
}
#consent-banner-settings ul .p_info {
	padding: 10px 10px 20px 10px;
	line-height: 1.66666;
  display:none;
}

#consent-banner-settings input{
	outline:none;
}
.consent-banner-button:hover {
  color: #ef0000;
  border-color: #ef0000;
}

#consent-banner-settings .consent-banner-settings-buttons .consent-banner-button {
  /*flex: 1;*/
}

.consent-banner-button[href="#save"] {
    color: #ffffff;
    border-color: #007bff;
    background-color: #007bff;
}
.consent-banner-button[href="#accept"] {
  color: #ffffff;
  border-color: #007bff;
  background-color: #007bff;
}
.consent-banner-button[href="#save"]:hover,.consent-banner-button[href="#accept"]:hover {
  background-color: #ef0000;
  border-color: #ef0000;
}

#consent-banner-modal .consent-banner-modal-wrapper .consent-banner-heading {
  display: block !important;
}

#consent-banner-main .consent-banner-heading {
  font-size: 32px;
  font-weight: 500;
  text-align: center;
}

#consent-banner-settings > div > form div:nth-child(2) {
  max-height: 35vh;
  overflow-x: hidden;
}

#consent-banner-main[data-mode="bar"] #consent-banner-modal {
  margin: 0;
  max-width: none;
  width: auto;
}

#consent-banner-main[data-mode="bar"] #consent-banner-modal[open] {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  top: auto;
  z-index: 2147483647;
  border-bottom: none;
  border-left: none;
  border-right: none;
  border-radius: 0;
  padding: 5px;
}

#consent-banner-main[data-mode="bar"] .consent-banner-modal-buttons {
  margin-left: 20px;
}

#consent-banner-main[data-mode="modal"] .consent-banner-modal-wrapper {
  display: block;
}
.cookie-ico{
    width: 60px;
    height: 60px;
    position: fixed;
    left: 40px;
    bottom: 70px;
    color: #fff;
    border-radius: 60px;
    cursor: pointer;
    display:none;
    z-index: 2147483649;	
}
.cookie-ico img,.cookie-ico svg{
	  width: 60px;
    height: 60px;
}
@media (min-width:769px) {
  #consent-banner-settings {
	  top:50%;
	  margin-top:-12%;
  }
}
@media (max-width:576px) {
  #consent-banner-settings {
    width: auto;
    margin: 0;
    border-radius: 0;
    min-width: auto;
    height: 100vh;
    max-height: none;
  }
  #consent-banner-main:not([data-mode="bar"]) #consent-banner-modal {
    margin: 0;
    width: 90vw;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  #consent-banner-settings .consent-banner-settings-buttons {
    position: fixed;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: #fff;
    padding: 16px 50px 30px;
    text-align: center;
    display: block;
    z-index: 2;
  }
  #consent-banner-modal .consent-banner-modal-buttons {
    margin: 0 !important;
  }
  #consent-banner-settings .consent-banner-settings-buttons .consent-banner-button {
    display: block;
    margin: 0 0 10px;
    text-align: center;
  }
  #consent-banner-settings ul {
    padding-bottom: 100px;
  }
}

@media (max-width:768px) {
  #consent-banner-modal .consent-banner-modal-wrapper p {
    margin-bottom: 10px;
  }
  #consent-banner-modal .consent-banner-modal-buttons {
    display: block;
  }
  #consent-banner-modal .consent-banner-modal-wrapper {
    display: block;
  }
  #consent-banner-modal .consent-banner-modal-buttons .consent-banner-button {
    display: block;
    margin: 0 0 10px;
    text-align: center;
  }
  #consent-banner-settings {
  margin: 0 auto;	
  width: 90%;	
  padding: 20px;
  }
  #consent-banner-settings > div > form div:nth-child(2) {
  max-height: 60vh;
  }
  .cookie-ico{left: auto;right:10px;bottom: 140px;}
}
